# XTremTrail

XtremTrail est un jeu sérieu de simulation de création de course. Il est développée en typescript, avec le framework React.

## Captures d'écran

![Sélection des élèments](docs/selection.png)
![Résultats](docs/results.png)

## Installation

Le jeu peux être téléchargé pour window et pour linux [ici](https://git.unistra.fr/api/v4/projects/23032/jobs/artifacts/master/download?job=compile).

## Documentation

La documentation générée automatiquement est accessible [en ligne](https://le-jeu.pages.unistra.fr/t432_las21_t3_b/).

## Mise en place de l'environement de développement

### Installation des outils

Il faut commencer par [installer nodejs et npm](https://docs.npmjs.com/downloading-and-installing-node-js-and-npm), une fois node installé, il faut [installer yarn](https://classic.yarnpkg.com/lang/en/docs/install/#debian-stable).

### Récupération des sources

```bash
git clone https://git.unistra.fr/le-jeu/t432_las21_t3_b.git
```

### Installation des dépendences

```bash
yarn install --dev
```

### Ajout des hooks pre-commit (optionel)

Il est possible de faire tourner prettier et TSLint avant chaque commit, pour vérifier le code et le
formatter automatiquement

```bash
yarn prepare
```

### Développement et compilation

Il est maintenant possible de lancer le serveur de développement, qui permettre de rafraichire automatiquement l'affichage en cas de modification

```bash
yarn start
```

Il est aussic possible de compiler le jeu en un executable pour windows et linux

```bash
yarn build
```
