import React, { FC } from 'react';
import { Route, Routes } from 'react-router-dom';
import { Done } from './pages/Done';
import { End } from './pages/End';
import { Game } from './pages/Game';
import { Intro } from './pages/Intro';
import { Menu } from './pages/Menu';
import { Start } from './pages/Start';
import './styles/App.scss';

/**
 * Composant principal du jeu
 * @returns Le Jeu™
 */
export const App: FC = () => {
    return (
        <div className="App">
            <Routes>
                <Route path="" element={<Intro />} />
                <Route path="done" element={<Done />} />
                <Route path="menu" element={<Menu />} />
                <Route path="start" element={<Start />} />
                <Route path="game" element={<Game />} />
                <Route path="end" element={<End />} />
            </Routes>
        </div>
    );
};
