import React, { FC } from 'react';

/**
 * Propriétés de BottomBar
 */
export interface BottomBarProp {
    /**
     * Contenue
     */
    children?: any;
}

/**
 * Barre du bas
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const BottomBar: FC<BottomBarProp> = ({ children }: BottomBarProp) => {
    return <div className="component__bottombar">{children}</div>;
};

/**
 * Conteneur pour la barre du bas
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const BottomBarContainer: FC<BottomBarProp> = ({ children }: BottomBarProp) => {
    return <div className="component__bottombar__container">{children}</div>;
};

/**
 * Élement à gauche de la barre du bas
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const BottomBarLeft: FC<BottomBarProp> = ({ children }: BottomBarProp) => {
    return <div className="component__bottombar__left">{children}</div>;
};

/**
 * Élément à droite de la barre du bas
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const BottomBarRight: FC<BottomBarProp> = ({ children }: BottomBarProp) => {
    return <div className="component__bottombar__right">{children}</div>;
};

/**
 * Élément au centre de la barre du bas
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const BottomBarCenter: FC<BottomBarProp> = ({ children }: BottomBarProp) => {
    return <div className="component__bottombar__center">{children}</div>;
};
