import React, { FC } from 'react';

/**
 * Propriétés pour le conteneur de jeu
 */
export interface PlayContainerProp {
    /**
     * Contenue
     */
    children?: any;
}

/**
 * Conteur de jeu
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const PlayContainer: FC<PlayContainerProp> = ({ children }: PlayContainerProp) => <div className="component__playcontainer">{children}</div>;

/**
 * Élément en haut du conteneur de jeu
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const PlayContainerTop: FC<PlayContainerProp> = ({ children }: PlayContainerProp) => <div className="component__playcontainer__top">{children}</div>;

/**
 * Élément au centre du conteneur de jeu
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const PlayContainerMid: FC<PlayContainerProp> = ({ children }: PlayContainerProp) => <div className="component__playcontainer__mid">{children}</div>;

/**
 * Élement en bas du conteneur de jeu
 * @param props Propriétés
 * @returns Contenue (jsx)
 */
export const PlayContainerBot: FC<PlayContainerProp> = ({ children }: PlayContainerProp) => <div className="component__playcontainer__bot">{children}</div>;
