import React, { FC } from 'react';
import { EffectName } from '../../models/PlayableCard';

/**
 * Propriétés pour la barre du haut
 */
export interface TopBarProp {
    children?: any;
}

/**
 * Barre du haur
 * @param props Propriétés
 * @returns Contenue
 */
export const TopBar: FC<TopBarProp> = ({ children }: TopBarProp) => <div className="component__topbar">{children}</div>;

/**
 * Propriétés pour la barre de progression
 */
export interface ProgressProp {
    /**
     * Pourcentage de progression
     */
    percent: number;
    /**
     * Variante (couleur)
     */
    variant?: EffectName | 'score';
}

/**
 * Barre de progression
 * @param props Propriétés
 * @returns Contenue
 */
export const Progress: FC<ProgressProp> = ({ percent, variant }: ProgressProp) => (
    <div className="component__topbar__progress">
        <div
            className={'component__topbar__progress__intern' + (variant !== undefined ? ' component__topbar__progress__intern__variant__' + variant : '')}
            style={{ width: percent + '%' }}
        >
            <div className="component__topbar__progress__intern__reflect"></div>
        </div>
    </div>
);
