import { CardSelection, EffectName, EndEffect } from './PlayableCard';

/**
 * Calcule les effets d'une course suivant les cartes placés
 * @param val ID des cartes placés
 * @param cards Cartes disponibles
 * @returns Liste d'effets
 */
export const calcEffects = (val: number[], cards: CardSelection): EndEffect[] => {
    const max: { [index in EffectName]: number } = {
        danger: 0,
        difficulty: 0,
        reputation: 0
    };

    const values: { [index in EffectName]: number } = {
        danger: 0,
        difficulty: 0,
        reputation: 0
    };

    cards.forEach((vals) => {
        vals.cards.forEach((card) => {
            card.effects.forEach((effect) => {
                max[effect.name] += effect.value;

                if (val.includes(card.id)) {
                    values[effect.name] += effect.value;
                }
            });
        });
    });

    const ret: EndEffect[] = [];

    Object.entries(max).forEach(([name, value]) => {
        ret.push({
            name: name as EffectName,
            max: value,
            value: values[name as EffectName]
        });
    });

    return ret;
};
