import { CardSection } from '../PlayableCard';

const AdsSection: CardSection = {
    id: 5,
    name: 'Publicité',
    count: 3,
    requirements: [
        { name: 'reputation', value: 2 },
        { name: 'run', value: 1 }
    ],
    cards: [
        {
            id: 27,
            name: 'Événement caritatif',
            requirements: [
                { name: 'reputation', value: 15 },
                { name: 'run', value: 3 }
            ],
            effects: [{ name: 'reputation', value: 15 }],
            description: "Oui, oui nous sommes caritatif. C'est qui déjà notre partenaire ?"
        },
        {
            id: 28,
            name: 'Internet',
            requirements: [
                { name: 'reputation', value: 20 },
                { name: 'run', value: 4 }
            ],
            effects: [{ name: 'reputation', value: 30 }],
            description: 'https://youtu.be/dQw4w9WgXcQ'
        },
        {
            id: 29,
            name: 'Journal local',
            requirements: [
                { name: 'reputation', value: 2 },
                { name: 'run', value: 1 }
            ],
            effects: [{ name: 'reputation', value: 3 }],
            description: 'Le petit journal local que seul les personnes agées achêtent encore.'
        },
        {
            id: 31,
            name: 'Journal national',
            requirements: [
                { name: 'reputation', value: 20 },
                { name: 'run', value: 4 }
            ],
            effects: [{ name: 'reputation', value: 35 }],
            description: 'Un journal national, possédé par un groupe qui se fait sanctionner par le CSA.'
        },
        {
            id: 32,
            name: 'Télé national',
            requirements: [
                { name: 'reputation', value: 25 },
                { name: 'run', value: 4 }
            ],
            effects: [{ name: 'reputation', value: 40 }],
            description: 'Nous sommes en guerre.'
        },
        {
            id: 33,
            name: 'Radio',
            requirements: [
                { name: 'reputation', value: 11 },
                { name: 'run', value: 1 }
            ],
            effects: [{ name: 'reputation', value: 10 }],
            description: "La radio que tout le monde posséde, mais que personne n'écoute maintenant."
        },
        {
            id: 34,
            name: 'Journal régional',
            requirements: [
                { name: 'reputation', value: 7 },
                { name: 'run', value: 2 }
            ],
            effects: [{ name: 'reputation', value: 5 }],
            description: 'Le journal régional que tout le monde apprécie.'
        },
        {
            id: 35,
            name: 'Télé régionale',
            requirements: [
                { name: 'reputation', value: 9 },
                { name: 'run', value: 2 }
            ],
            effects: [{ name: 'reputation', value: 7 }],
            description: "L'émission de télé régionale, on sait qu'elle existe, mais c'est tout."
        }
    ]
};

export { AdsSection as Ads };
