import { CardSection } from '../PlayableCard';
import Coffee from './Picture/Drinks/coffee.png';
import CoffeeBottle from './Picture/Drinks/coffeeBottle.png';
import EnergyDrink from './Picture/Drinks/energyDrink.png';
import FruitJuice from './Picture/Drinks/fruitJuice.png';
import Tea from './Picture/Drinks/tea.png';
import Vodka from './Picture/Drinks/vodka.png';
import Water from './Picture/Drinks/water.png';
import WaterBottle from './Picture/Drinks/waterBottle.png';

const DrinksSection: CardSection = {
    id: 1,
    name: 'Boissons',
    count: 3,
    cards: [
        {
            id: 1,
            name: 'Café',
            effects: [
                { name: 'difficulty', value: -6 },
                { name: 'reputation', value: 2 }
            ],
            description: 'La drogue du peuple. Répandue partout et apprécié par tous.',
            image: Coffee
        },
        {
            id: 2,
            name: 'Boisson énergisante',
            effects: [
                { name: 'difficulty', value: -8 },
                { name: 'reputation', value: 1 },
                { name: 'danger', value: 1 }
            ],
            description: "Une boisson qui vous rend de l'énergie. Vous avez l'impression de devenir un monstre.",
            image: EnergyDrink
        },
        {
            id: 3,
            name: 'Jus de fruit',
            effects: [
                { name: 'difficulty', value: -11 },
                { name: 'reputation', value: 1 }
            ],
            description: 'Pour les jeunes non alcoolique.',
            image: FruitJuice
        },
        {
            id: 4,
            name: 'Thermos de café',
            effects: [
                { name: 'difficulty', value: -10 },
                { name: 'reputation', value: 1 }
            ],
            description: "Car 1 tasse n'était pas assez pour vous.",
            image: CoffeeBottle
        },
        {
            id: 5,
            name: 'Thé',
            effects: [
                { name: 'difficulty', value: -5 },
                { name: 'reputation', value: 1 }
            ],
            description: 'La seul invention culinaire acceptable des anglais.',
            image: Tea
        },
        {
            id: 6,
            name: 'Водка',
            effects: [
                { name: 'difficulty', value: 5 },
                { name: 'reputation', value: 1 },
                { name: 'danger', value: 5 }
            ],
            description: 'Поляков - лекарство от всех болезней.',
            image: Vodka
        },
        {
            id: 7,
            name: 'Eau',
            effects: [
                { name: 'difficulty', value: -7 },
                { name: 'reputation', value: 1 }
            ],
            description: "De l'eau du robinet. Elle n'a rien de spécial, à part qu'elle est fraîche.",
            image: Water
        },
        {
            id: 8,
            name: "Bouteille d'eau",
            effects: [
                { name: 'difficulty', value: -11 },
                { name: 'reputation', value: 1 }
            ],
            description: 'Avec St Yore ça va fort. Très fort.',
            image: WaterBottle
        }
    ]
};

export { DrinksSection as Drinks };
