import { CardSection } from '../PlayableCard';
import City from './Picture/Environments/city.png';
import Desert from './Picture/Environments/desert.png';
import Mountain from './Picture/Environments/mountain.png';
import Sewers from './Picture/Environments/sewers.png';

const EnvironmentsSection: CardSection = {
    id: 3,
    name: 'Environements',
    count: 1,
    cards: [
        {
            id: 16,
            name: 'Ville',
            requirements: [
                { name: 'reputation', value: 0 },
                { name: 'run', value: 0 }
            ],
            effects: [{ name: 'difficulty', value: 0 }],
            description: 'Putain de faible citadin.',
            image: City
        },
        {
            id: 17,
            name: 'Désert',
            requirements: [
                { name: 'reputation', value: 20 },
                { name: 'run', value: 2 }
            ],
            effects: [{ name: 'difficulty', value: 30 }],
            description: 'Risque de noyade ? Très élevé.',
            image: Desert
        },
        {
            id: 18,
            name: 'Montagne',
            requirements: [
                { name: 'reputation', value: 15 },
                { name: 'run', value: 1 }
            ],
            effects: [{ name: 'difficulty', value: 15 }],
            description: 'Un tas de cailloux. Juste un gros tas de cailloux.',
            image: Mountain
        },
        {
            id: 19,
            name: 'Égout',
            requirements: [
                { name: 'reputation', value: 45 },
                { name: 'run', value: 3 }
            ],
            effects: [{ name: 'difficulty', value: 45 }],
            description: 'Si vous voyez un crocodile, son nom est Caiman.',
            image: Sewers
        }
    ]
};

export { EnvironmentsSection as Environments };
