import { CardSection } from '../PlayableCard';
import EndRoad from './Picture/Hurdle/endRoad.png';
import Mud from './Picture/Hurdle/mud.png';
import Quicksand from './Picture/Hurdle/quicksand.png';
import Rock from './Picture/Hurdle/rock.png';
import Shell from './Picture/Hurdle/shell.png';
import Strike from './Picture/Hurdle/strike.png';
import Tempest from './Picture/Hurdle/tempest.png';

const HurdlesSection: CardSection = {
    id: 4,
    name: 'Obstacles',
    count: 3,
    cards: [
        {
            id: 20,
            name: 'Boue',
            effects: [
                { name: 'difficulty', value: 30 },
                { name: 'danger', value: 10 }
            ],
            description: "Non ce n'est pas le temps de prendre un bain de boue.",
            image: Mud
        },
        {
            id: 21,
            name: 'Sable mouvant',
            effects: [
                { name: 'difficulty', value: 50 },
                { name: 'danger', value: 20 }
            ],
            description: 'On est au 21ème siècle, bien sûr que les sables mouvants sont dans du béton aussi.',
            image: Quicksand
        },
        {
            id: 22,
            name: 'Route barrée',
            effects: [
                { name: 'difficulty', value: 20 },
                { name: 'danger', value: 5 }
            ],
            description: 'Putain de travaux sauvages de merde.',
            image: EndRoad
        },
        {
            id: 23,
            name: 'Rocher',
            effects: [
                { name: 'difficulty', value: 20 },
                { name: 'danger', value: 5 }
            ],
            description: 'Ce putain de rocher qui ne sert à rien.',
            image: Rock
        },
        {
            id: 24,
            name: 'Obus',
            effects: [
                { name: 'difficulty', value: 25 },
                { name: 'danger', value: 25 }
            ],
            description: 'Et ça fait bim bam boom.',
            image: Shell
        },
        {
            id: 25,
            name: 'Manifestation',
            effects: [
                { name: 'difficulty', value: 40 },
                { name: 'danger', value: 15 }
            ],
            description: "C'est la lutte finale...",
            image: Strike
        },
        {
            id: 26,
            name: 'Tempête',
            effects: [
                { name: 'difficulty', value: 50 },
                { name: 'danger', value: 29 }
            ],
            description: "Pour les maigres, faudrat donner un rocher pour pas qu'ils s'envolent.",
            image: Tempest
        }
    ]
};

export { HurdlesSection as Hurdles };
